using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using MarketData.Utils;
using System.Collections.ObjectModel;
using MarketData.Generator.GainLoss;
using MarketData.DataAccess;

namespace MarketData.MarketDataModel.GainLoss
{
  public class SortTotalGainLossYearDescendingOrder:IComparer<TotalGainLossItem>
  {
    int IComparer<TotalGainLossItem>.Compare(TotalGainLossItem gainLossA,TotalGainLossItem gainLossB)
    {
      if(gainLossA.Date<gainLossB.Date) return 1;
      if(gainLossA.Date>gainLossB.Date) return -1;
      return 0;
    }
  }
}
